-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
local ModName, Sequences = ...
local GSE = GSE
---- PRINT MISSING GSE
	if GSE == nil then
	print("Addon requires GSE3. You can get it from Curseforge @https://www.curseforge.com/wow/addons/gse-gnome-sequencer-enhanced-advanced-macros")
	return;
	end
local L = GSE.L
local Statics = GSE.Static
local GSEPlugin = LibStub("AceAddon-3.0"):NewAddon(ModName, "AceEvent-3.0")
-----------------------------------------------------------------------------

if GSE.isEmpty(Sequences) then
  local Sequences = {}
end

-----------------------------------------------------------------------------

---- Put the macros here [[MACRO HERE]]
---- We are storing more detail to give more control.
---- To find the ClassID - /gse showspec will tell you what the ClassID and SpecID is for your character

Sequences["EA_AM_OB"] = {
    ["Macro"] = [[dueyfaqiQknluzxss4xuvnmI6ysSmcEMOmnuCnQY2KKQXHG6CesRJq5Dsk6EKk8pevdusIoOkAHIkpKiAIKQCrvOnkPKpkPuJKq0jjcRusHxsOAMsQCtvWorv)KuvdLQILsQ0tvmvu6QecBfb5Rss5TsI7kQAVq)vsvdgPddSysXJvvtMiDzkBgb(mP0OvLoTiVgrz2k1TrODd63uz4QuhxsslxjpNKPl11vjBNur9Dsf58iY8vf7xySGSiFbNJN1FEOE9ZH8ciloSGTbBfoKZroh5CKZroh5CKJZ5v)6w4icizqNobd65v)6w4u75iHSLk5GiFMmJhohHe4wFtshXBqd0K2PMeMdN6aQwe3sbTjfhbzHImHfYkfpbgpCy1xsKxu5ISmoha)LtHSiFbzXHqGvcOzBkKfhXns6ABdOmKf5l44)duDqR8De1aAoO7)cGqBNGAZhuFwjfrqN(bnhyTs2c5fWX)hO6Gw57iQb0Cq3)faH2ob1MpOSUR)BqDee0(1c6bG2e24iUrYNLPuilYxWXFdwAT2GgrsbTc09cwe5ck0j1asZxrQbKMh5fWX)hO6GwHOtQyGDZbD)xaeA7euB(GEU(aOf0djLkTnf2yJZ5VtoOczr(cYI8fKf5l4epXJ4gjFwMsfpXdYlGJ)pq1kRQxg8BbTcrNuXuVjcAUGcD)xaeA7euB(Gg0GUmL16ilObLHHrWJlOfggr5cAHHruUGwyyeTMbTc09FbqOTtqT5dAqd6YuwRJgS0ADqdkddJGhxq9kmzCbntMXRWf0mzgVcxqZKz8kCbntMXRWf0mzgVcxqZKz8kCbntMXRWf0mzgVcYNHt8epIBK012gqzXt8GdlPBdNZFNCqSrEbKf5l4epXJ4gjFwMsfpXdYlGJ)pq1kRQxg8BbTcrNuXuVjcAUGcD)xaeA7euB(GcV27Ag0kFhrnGMd6(Vai02jO28bnObDzkR1X3rudOdAqfK9Kf84cQNxgJaxqlcYmciFgoXt8iUrsxBBaLfpXdoSKUnCo)DYbXghws3go15C34ORDBGg5fWzA7UwxWFNCqC8zLCRutcBSXrcOMR0UjeyLaA2MczXrshrnGgZHd7kbjZ6cMdh2vcsM1cyoSXgBCMB7lHEipHXPAgGSZRfqHSyJZbRb6bAaYIJiT99objdN3UVvI53VMKRk2jiz(TnbKax4Wc2gSv4uYkLsPGJEgbGRDJ8fCoV6x3cNJBcibUWP2ZrczlvYbr(mzggCoaGxGTeW2w6Sb7KdI5WHvFjrErLlYY4WdiA4C8S(Zd1RFoCePTVXr3lyqRsbpzIQOgJiLOwSIf0t9p6RV(6Bq1ADqtWG(3oLfuauAqVTLYbbBFJACwhRyb9C9bqlOhskvABkCQdOArClf0MuCeKfkYvxqOiAgtMhohHe4wFtshXBqd0K2PMeMdN52(sOhYxDbCQMbi78Abuil24i5gOusOhYtySXgBeb]],
    ["SpecID"] = 62,
    ["ClassID"] = 8
}
Sequences["EA_AM_AOE"] = {
    ["Macro"] = [[dm0eeaqieLzPkTles(LagMioMQAze6zavtdGRHqTnvrnosfNdiwhcX)eQgisfDqcwOG6HaYerexejTrKk1hrQQrsk4KiQwjPqVKuQzsk6Mc0oHQFIinusvTusjpLQPcYvvfzRKQ8vKQ8wa1Dbk7v6VKknyv6WkTyKYJb1KrIltzZaPpRkmAeCAsETqz2Q42qPDd53enCHCCesTCr9CunDfxxK2osf(osLCEOy(cY(r5(luX)1PkORqqDfiLAXfluDO9yOHxp(B834VXFJ)g)nEDH0HGmx)jumKKUqSRq6qqMRtFNQEwMRKOIdEcaIRtfbQmdBajXgTZstDudMgUUMlFEkIYogL6IjI)eDeF()ftaOtDisbQ4GK8tsQhCHZsEHk(Vq11BZQL2X4fQU2ggTSJTCRqf)xpa8Yh2fyyjwA78IKWeweYok0dWyx9Zko2DuWSB4nNvwU4I1daV8HDbgwIL2oVijmHfHSJc9am2fsMctGDLGYUdbJDdUpuDQRTHr)SX5fQ4)6bMn)WgdzyXWUaJKe2m2x2fjPylfWaMITuaR4I1daV8HDbgRKcr2Z8IKWeweYok0dWyxHm8Im2nOIZvhJ3PtDb4rjr8cv8FHk(Vqf)xNfIfsBdJ(zJZzHyHkUy9aWlF4grNAiyJDbgjHjSiKDuOhGXUaaaqK4x29daaiVS7haaqEz3paaGuCWRZcXcPTHrl7yl3yHyHQdHjYQlapkjQtDimrwDnLYO6Azr2ofxSUpweDNIGhLevx)SsMvdMoDQtoIwQ6m6Tz1s7y8cvhijwA70W1HYkumB(nCDOScfZgXgUtNo19idMCskUo1PNTXesZlVqDQh0MLKD2cvxd2j6OqXQtyMiorceGMssuhfkwa7akMnTo0Em0WR)b))))FDsmq30Zu8FDH0HGmxN6bumBADGolNtojfxN6bxu6EihnwMom0OKOgUoePavCqs(jj1XxSwDQc6keuxbsPwxd2jQUwPi2LofjoblNPrbsPsgzKrg7(Wg2vHyx4JKBS7IOWUrwMlr7HmMgf0eIiSRqgErg7guX5QJXRR5YNNIOSJrPUyI4p5zrXpiGdaCIRtfbQmdBajXgTZstDudMgUUhzWKtsXFwSo9SnMqAE5fQtD67u1ZYCLevCWtaqCNoDAba]],
    ["SpecID"] = 62,
    ["ClassID"] = 8
}
Sequences["EA_AM_ST"] = {
    ["Macro"] = [[dmeXeaaluzxOQu)IImmu6yuAzO4zIY0OsxJk2gQkgNOQohsI1HK09evP)bbdKcfhuLSqa5HiLMif0fHqBKcv9rrLAKIQ4KuiRevL8sKuZuk0nvb7eQ(POsgkfyPOQ6PctfsxvfQTQc5RIk6Tqu3fqTxL)kfmyIoSQwmQYJbAYuuxM0Mrk(Su0OrQoTiVgImBOCBKy3i(nvnCaoUOclxQEoHPl56QuBNcL(ofQCEv08Ls7h0Zo0HBxG4vdxhAiqhoZqxG(ykPelqGdboe4qGdboe4qyX1Dr33xCmbjI34iq51Dr33xK7aXJ0Ui5jdpJ11zbIeA8DqLwpfaF98syP6CaTOXxuhdW8xQ5fmSmw28z4J1YyT5Vanx0oCQWAzzxC4b7EXqhUDOlo67PNhMkg6cQ1t(vm9f6qhUDHjWxuqjYGEk8(IJ4bP)eIILinbgknONeu(kbcLa99Es7dNzHjWxuqjYGEk8(IJ4bP)eIILinbgkr93G0HspnqzrxHYdFZ0QfuRNg0vHyOd3UWu99MAPeLYjuImXt)7u4GsI3S(MbgzZ6Bg4HZSWe4lkOezkEZu9XkoIhK(tikwI0eyO8Qd(efkpKeIeMkwTAXfyL8eXqhUDOd3o0HBxaBHTuRNg0vHa2cBhoZctGVOeAoUvcOcLit8G0FcrXsKMadLqju2vHw5T(EtTGsO011LXHdkDSUzCqzgRRJLdkZyDDSCqzgRRJLdkZyDDSCqzgRRJLdkZyDDSCqzgRRJLdkZyDDSdpBbSf2sTEYVIPVqHTW2fONa0fxGvYtwnCMHoC7cylSLA90GUkeWwy7Wzwyc8fLqZXTsavOezqpfEFXr8G0FcrXsKMadLqju2vHw5f0tH3xqjuYW6WY4WbLoozUmCqPLH1Lz4zlGTWwQ1t(vm9fkSf2Ua9eGU4cSsEYQfONa0fn69awWVcq)A4mlIsby83eWk5jlmON89uDUA1cJi8Uty1rFp98WuXqxqRNcVVgqlq7jcsAzhqlq7jcsAXmGwTA1IaGcAKHdp)f5uFKUU7VyORwCqR3WV(HUipkgaSebPf0RcGGQMmXl55BSebjtkgnN)9c0htjLyHnZATw7cAXEHWidhE(lUUl6((ceXO58VxK7aXJ0Ui5jdpJ11zXHNC)ygrkTBSkPsEYaAro1hPR7(lg6Qf5rXaSG)BcuAmmoSueq(6QruQcLxDWNOq5HKqKWuXc8NIUaXRgUo0qGUarcn(oOsRNcGVEEjSuDoGw04lQJby(l18cgwgllFyySujZnZzraqbnYWHZhMfO5I2Htfwll7cdvA(BSA42vRwTb]],
    ["SpecID"] = 62,
    ["ClassID"] = 8
}
Sequences["EA_FIREM_OB"] = {
    ["Macro"] = [[dqevfaaluyxOe6xe0WaQJHWYi0ZuW0aORbGTPQsFtvHghb6COeToII7rjs)tvvdeLKdIuTqkLhIKAIeLUiL0grs(OQcgjkLojGSsus9sIQzQQu3KsyNk6NQQyOaQLkHEkvtfrxfLITQQKVIsWBLG7sPAVI)QQObdQddzXOOhRktgLQltAZeWNLiJgPCAj9AjQzRKBJe7gQFtXWvOJtjILRuphvtxQRdKTtjQ(oLOCEImFq2VkhIqMjrCR0)KkGkA1Ip)XwMIHmojAP4Mh)pJ)m(Z4pJ)m(Z4FC6GAAMDC2GlJnwg(GPdQPz2X)GB9lDZRgCMdGbeG4wXcy2pLAdLruJywx1wk2I)nI3SzKDuRShxeSibybfhieblc(34K)qDMSembyWXTa92gEiZKiKX)cTRiMlLhY4YvPI6srCnKzsex4dX7dUWZqHjQzGnpAimwxvCj7hm1gkmbX7QbNPyCHpeVp4cyZJgcJ1vfxY(btvDRhSTfI3PJlxLaERCEiZKiUWgTlPTIvkshCbSHgAtXEMIXf(q8(GlqXWUmCAvbAghm28OHWyDvXLSFWalTnmxiEN5qCHpeVp4cS6bAZnBghmfd7YGwnJdgBE0qySUQ4s2pyQwikkV31YA60XP)6QbZdzMeHmtIqMjr8d6GKRsaVvo)GoOmfJl8H49bxaBE0qySUQ4s2pyXbagigYCi(bDqYvPI6srC9GoO4KsJAC6VUAWPZumKzse)Goi5QeWBLZpOdktX4cFiEZvlbKIF6bx4zOWe1mWMhnegRRkUK9d(Gp4TY12sFgkmr9bFWIa8raaKGXbpq87Vemoyra(iaasK5q8d6GKRsf1LI46bDqXjLg140FD1GtN5qiZKi(bDqYvjG3kNFqhuMIXf(q8(GlGnpAimwxvCj7hmXWqMdXpOdsUkvuxkIRh0bfNuAuJt)1vdoDMagYmjIFqhKCvc4TY5h0bLPyCHpeVp4cyZJgcJ1vfxY(blYsafmZH4h0bjxLkQlfX1d6GItknQXP)6QbNooP0Og)BJzmErDurDMIX9whPce(1vdooW7QzxBP0PJdeMjO6Q)cTRiMlLhY4uBOWe1XwCYDfxwBIylo5UIlRTySLoD64(O(as2mfmolOOY0bTr8qMoUfAJKf1OqgNT6ACvXLJtR7rUmcfYSAyXvfxwOUeqcbkojAP4MhF4pbbbbrCQxiohizZuW40b10m74wxciHaf)dU1V0nVAWzoagqaJBbcdcTac362YvCxn4ylo5puNjlbtagCCzvbqGwDMeXzRUgJxee(GzLiaGPWpw7SfiQiL5GbwAByUq8(yn9VjL5Gz1d0MB2hmvlefL37Az9yD8Vr8MnJSJAL94IGfjalsaMyaqbbqW4tefnUv6FsfqfTAXN)ylUpQpGKnZFhIZckQmDqBepKPJBflGz)uQnugrnIzDvBPylD60ja]],
    ["SpecID"] = 63,
    ["ClassID"] = 8
}
Sequences["EA_FROSM_OB"] = {
    ["Macro"] = [[duK9eaaluQDjIWVqLgMiDmqwgQ6ziY0eORruSnKqFdfvghkY5qISoIs3teP)bQAGOOCquyHOKhIKAIevDrvP2iO0hvagjsuNurSsruEPI0mvqDtbyNQQFIKmuIklvH8uQMkcxfjyRcOVQa6TkQURQK9k9xfKbl0HHAXIWJvYKvuUmLndQ8zfQrJOoTOEnOy2k1Trf7gYVj1WvfhxevlNKNty6QCDbTDre9Duu15jY6vGMpsTFGluj6hQ(Bgdb7iQ8agIkw9ZxI6e4THorD4zdpB4zdpB4zdpB4RZi8iRv1PacgKM5rGiJWJSwvFa(7anLiRr9tknOm1FJGtRwg1Aop4dNiVZNuzvFyS4OWZm8zZQZNYdLYepjiEiEOG1jOI6(PukuAA9aWlLwuI(Hkr9aXQmoX2eLO(utAKTnSWkr)q15UWIdeNJ0lYyeY2z04xG4KLeigOLrI(5RZDHfhiohPxKXiKTZOXVaXjldezHvQSP6vFQjjNYeIs0puDUhwn2odzCKaX5inzSIZR(5RZDHfhioNJEMS49XgPxKXiKTZOXVary3HkLu)KQZDHfhioNJEMScYz4o2GiZwHkHwXgPxKXiKTZOXVarw78GdIvZ61RoJ1L1irj6hQe9dvI(HQdOb0tnj5uMqaOb09ZxN7cloHL8qdTmqCosViJriBNrJFbIGiiQmHDjDP5KaFGiicbrr2GiP0GYit)KQdOb0tnPr22WcdqdORti9y1zSUSg1RF(s0puDanGEQjjNYecanGUF(6CxyXjSKhAOLbIZr6fzmcz7mA8lqeebrLjSlPlnNe4debrOuMyIeLydIqquSFs1b0a6PM0iBByHbOb01jKES6mwxwJ61pPs0puDanGEQjjNYecanGUF(6CxyXbIZr6fzmcz7mA8lqKPGmhuW(jvhqdONAsJSTHfgGgqxNq6XQZyDznQxDcPhR(WA9t9r2JHV(5R7N9aBiADznQUCQSwLpPE9QpbLimVVaXQmoX2eLOo1AojWxzvNqLrWyhuzvNqLrWyhFz1RxV6(JTMiF)mvFGggggHkSOe9QhGDy5XhUe1PSTF2zem1jF3JqwUCtK1jXoJGHRTHtchwNaVn0jQZtcIhIhQEayuiEpbDMkjn0L1OYQoJWJSwv)9gojCy9b4Vd0uISg1pP0GbR)gbNwTmQ1CEWhorENpPYQobvu3pLsHstRtzB)uFuicezgVmPCeGK5uEcSeYcImBfQeAficNwbIS25bheRMbsgJHjKfeHvRary3HkLu9HXIJcpZWNnRoFkpukPuEiisbLjT(hZXQ)MXqWoIkpGHOIvD5n4WH7RFO6(JTMiF)umy9bAyyyeQWIs0Ro1BSqmr((zQxVETa]],
    ["SpecID"] = 64,
    ["ClassID"] = 8
}


-----------------------------------------------------------------------------

---- Because we know the names earlier we can dynamically figure out the names.
local macroNames = {}
-- For each k ("MACRO NAME") and v (the macro string and classid) do this loop
for k,v in pairs(Sequences) do
---- Add the name to the list of macroNames
    table.insert(macroNames, k)
end

-----------------------------------------------------------------------------

local function loadSequences(event, arg)
  if arg == ModName then
---- Force overwrite of macros ignoring the players merge preference
    for k,v in pairs(Sequences) do
        local localsuccess, uncompressedVersion = GSE.DecodeMessage(v.Macro)
        GSE.ReplaceMacro(v.ClassID, k, uncompressedVersion[2])
    end


---- Tell GSE to reload the new stuff
    GSE.PerformReloadSequences()


---- Print Success Message
    GSE.Print("Hello, " .. UnitName("player") .. " " .. UnitLevel("player") .. "  - Elfyau's Mage Macro Set has been loaded.", ModName)
  end
end


if GSE.RegisterAddon(ModName, GetAddOnMetadata(ModName, "Version"), macroNames) then
  loadSequences("Load", ModName)
end

GSEPlugin:RegisterMessage(Statics.ReloadMessage,  loadSequences)
